[Overview][Constants][Classes][Procedures and functions][Index] | Reference for unit '_crw_dimq' (#crwlib)

# TDimDataQueue

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

## Declaration

Source position: _crw_dimq.pas line 88

`type TDimDataQueue = class(TLatch)`
`public`
`function Push();`
`function Pop();`
`function Count();`
`function LastHolder;`
`property SafetyPool: Integer; [rw]`
`constructor Create;`
`destructor Destroy; override;`
`end;`

## Inheritance

`TDimDataQueue`
`TLatch`
`TMasterObject`
`TObject`